Karia
ReferencesOpenapiNovated asset

List novated assets

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset

List novated assets in the specified organisation and workspace, with optional search, status, and pagination filters.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
search?string
status?string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 50
Default10

Response Body

Successful response

application/json
  1. response
items*array<>
pagination*
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset'
Example Response
{  "items": [    {      "id": 0,      "referenceId": "string",      "status": "string",      "name": "string",      "description": "string",      "type": "string",      "createdAt": "string",      "make": "string",      "model": "string",      "year": "string",      "registrationNumber": "string"    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0  }}